### Hierarchy

- BaseModal
  - TableSettingsModalComponent

### Implements

- OnInit

## Index

### Inputs

- settingsModel

### Outputs

- settingsModelChange

### Constructors

- constructor

### Properties

- close
- listComponent
- model
- modelChange
- open
- settingsModel
- settingsModelChange

### Methods

- acceptChanges
- cancel
- closeModal
- ngOnInit

## Constructors

### constructor

- new TableSettingsModalComponent(model: TableSettings, modelChange: Subject<TableSettings>): TableSettingsModalComponent

- - Defined in packages/angular/src/toolkit/table-settings/table-settings-modal.component.ts:56

  #### Parameters

  - ##### model: TableSettings

  - ##### modelChange: Subject<TableSettings>

  #### Returns TableSettingsModalComponent

## Properties

### close

close: EventEmitter<{}>

- Defined in node_modules/carbon-components-angular/modal/base-modal.class.d.ts:31

Base event emitter to propagate close events

### listComponent

listComponent: typeof SortableListComponent = ...

- Defined in packages/angular/src/toolkit/table-settings/table-settings-modal.component.ts:52

### model

model: TableSettings

### Protected modelChange

modelChange: Subject<TableSettings>

### open

open: boolean

- Defined in node_modules/carbon-components-angular/modal/base-modal.class.d.ts:35

Controls the open state of the modal

### settingsModel

@Input()
settingsModel: TableSettings

- Defined in packages/angular/src/toolkit/table-settings/table-settings-modal.component.ts:54

### settingsModelChange

@Output()
settingsModelChange: EventEmitter<TableSettings> = ...

- Defined in packages/angular/src/toolkit/table-settings/table-settings-modal.component.ts:56

## Methods

### acceptChanges

- acceptChanges(): void

- - Defined in packages/angular/src/toolkit/table-settings/table-settings-modal.component.ts:75

  #### Returns void

### cancel

- cancel(): void

- - Defined in packages/angular/src/toolkit/table-settings/table-settings-modal.component.ts:71

  #### Returns void

### closeModal

- closeModal(): void

- - Defined in node_modules/carbon-components-angular/modal/base-modal.class.d.ts:39

  Default method to handle closing the modal

  #### Returns void

### ngOnInit

- ngOnInit(): void

- - Defined in packages/angular/src/toolkit/table-settings/table-settings-modal.component.ts:65

  #### Returns void

Generated using TypeDoc